Bug 817296 - no sources found in install SRPM when %_sourcedir .
no sources found in install SRPM when %_sourcedir .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedora-review (Show other bugs)
16
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 14:36 EDT by Sergio Monteiro Basto
Modified: 2012-07-27 21:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-14 17:54:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2012-04-28 14:36:19 EDT
Description of problem:
I got in ~/.rpmmacros 
%_sourcedir  .
to build srpm
I use: 
rpmbuild -bs smplayer.spec

running fedora-review -n smplayer --mock-config fedora-16-i386
check of sources fails saying: 
Running checks and generate report

no sources found in install SRPM
Checking source md5 : /home/sergio/rpmfusion/smplayer/devel/smplayer-0.8.0.tar.bz2
Review in: /home/sergio/rpmfusion/smplayer/devel/smplayer-review.txt

Version-Release number of selected component (if applicable):
fedora-review-0.1.3-1.fc16.noarch

How reproducible:
edit 

Steps to Reproduce:
1. add to  ~/.rpmmacros %_sourcedir  . 
2. fedora-review -n smplayer --mock-config fedora-16-i386
3. no sources found in install SRPM

  
Actual results:
fedora review says : no sources found in install SRPM and says that checksum fails

Expected results:
like when I don't change %_sourcedir in ~/.rpmmacros

Additional info:
Comment 1 Sergio Monteiro Basto 2012-06-06 00:47:55 EDT
hi ,
instead change ~/.rpmmacros, 
I use define, just for my rpmbuild -bs 

for example: 
rpmbuild -bs --define "_sourcedir ." laptop-mode-tools.spec

so I don't know,  if it is a real bug and/or if worth to be corrected
Comment 2 Stanislav Ochotnicky 2012-06-06 03:56:13 EDT
We have reworked handling of these cases in past few weeks so his should be fixed with next release together with other problems. I'll leave this open until the update
Comment 3 Fedora Update System 2012-07-11 12:40:42 EDT
fedora-review-0.2.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedora-review-0.2.0-1.fc16
Comment 4 Fedora Update System 2012-07-11 12:41:11 EDT
fedora-review-0.2.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/fedora-review-0.2.0-1.fc17
Comment 5 Fedora Update System 2012-07-11 19:49:37 EDT
Package fedora-review-0.2.0-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedora-review-0.2.0-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10509/fedora-review-0.2.0-1.fc16
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-07-14 17:54:18 EDT
fedora-review-0.2.0-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-07-27 21:19:35 EDT
fedora-review-0.2.0-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.